<?php namespace Msg\Lib\Type;
use Dever;
class Notify
{
    # 发送通知
    public function send($template, $account, $param = array())
    {
        if ($template['content']) {
            $template['content'] = \Dever\Helper\Str::val($template['content'], $param);
        }
        foreach ($template['method'] as $k => $v) {
            $handle = Dever::load('method/' . $v, 'msg');
            $data['account'] = $handle->init($template['id'], $account);
            if ($template['status'] == 1) {
                $data['record'] = $handle->send($template['content'], $param);
            }
            $data['content'] = $template['content'];
            Dever::db('notify', 'msg')->insert($data);
        }
        return '通知发送成功';
    }
}